is rubygems a library? is so, giving the full unix path might solve
your problem for now?

what is your $PATH? are you using 1.8.2 or 1.8.4?